import { createApp } from 'vue'
import { createPinia } from 'pinia'
import App from './App.vue'
import router from './router'
import moment from 'moment'
import { Notify, Toast } from 'vant';

moment.locale('zh-cn')

let vConsole
if (import.meta.env.VITE_DEBUG === "true") {
  let vc = await import("vconsole");
  vConsole = new vc.default();
}

const app = createApp(App)

app.use(createPinia())
app.use(router)
app.use(Notify)
app.use(Toast)
app.use(vConsole)
app.mount('#app')
